EDIT - feature request #6569

feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Remove unused application model from taxeditor.application

04/19/2017 10:57 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal

Description

Somehow this is needed to correctly initalize the model fragments (specifically the one of the workbench plugin) in the correct order.
After a full migration is done we will switch to one application model which we host ourselfs and the other fragments extend this.
Currently we are still using the e3-to-e4 bridge by extending the application model org.eclipse.e4.legacy.ide.application

Associated revisions

Revision fa8cce45 - 10/11/2017 10:52 AM - Patrick Plitzner
fix #6569, ref #6925 Define e4 product

® move workbench fragments to application model in taxeditor.application

History

#1 - 05/04/2017 01:53 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 4.8

#2 - 05/04/2017 02:04 PM - Andreas Miuller

- Target version changed from Release 4.8 to Release 4.9

#3 - 07/21/2017 10:26 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#4 - 09/24/2017 01:08 AM - Andreas Miiller
- Tags set to eclipse4
- Description updated

- Target version changed from Release 4.10 to Release 4.11

#5 - 10/11/2017 10:52 AM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|fa8cce45a6f3b17b03bd7f50e3a5b3c0e9aid54a.

#6 - 10/11/2017 10:54 AM - Patrick Plitzner
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
